# Strafe event

### **This event is** [**cancellable**](/rise-6-scripting-api/api-documentation/events.md#cancellable-events)**.**

This event will be called upon strafing. Handler name is `onStrafe`.

### `setForward(forward): Undefined`

| Argument  | Type     | Description              |
| --------- | -------- | ------------------------ |
| `forward` | `Number` | Forward movement to set. |

Sets the event forward movement.

### `setStrafe(strafe): Undefined`

| Argument | Type     | Description             |
| -------- | -------- | ----------------------- |
| `strafe` | `Number` | Strafe movement to set. |

Sets the event strafe movement.

### `setFriction(friction): Undefined`

| Argument   | Type     | Description            |
| ---------- | -------- | ---------------------- |
| `friction` | `Number` | Event friction to set. |

Sets the event friction.

### `setYaw(yaw): Undefined`

| Argument | Type     | Description      |
| -------- | -------- | ---------------- |
| `yaw`    | `Number` | Event yaw to set |

Sets the event yaw.

### `getForward(): Number`

Returns the forward movement of the event.

### `getStrafe(): Number`

Returns the strafe movement of the event.

### `getFriction(): Number`

Returns the friction of the event.

### `getYaw(): Number`

Returns the yaw rotation of the event.

### `setSpeed(speed, motionMultiplier?): Undefined`

| Argument           | Type     | Description                                                     |
| ------------------ | -------- | --------------------------------------------------------------- |
| `speed`            | `Number` | Event speed to set.                                             |
| `motionMultiplier` | `Number` | Motion multiplier for the speed. **This argument is optional.** |

Applies the speed to the player.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/strafe-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
